module core.Node;

import core.File;
import core.Search;

public import core.Node_;
public import core.File_;

import tango.util.collection.model.Iterator;

interface Node
{
	Node getNode(Node_.Type type, Node_.State state);
	File getFile(File_.Type type, File_.State state);
	Iterator!(Node) getNodeIterator(Node_.Type type, Node_.State state, uint age);
	
	Search getSearch();
}